Skip to main content
DELETE
/
api
/
Customers
/
{customerId}
/
address
/
{addressId}
Error
A valid request URL is required to generate request examples
{
  "customerId": 1,
  "merchantCustomerRefId": "1234-5678-9101",
  "firstName": "John",
  "lastName": "Doe",
  "billingAddresses": [],
  "shippingAddresses": [],
  "taxAddresses": [],
  "subscriptions": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
integer<int64>
required
Required range: 1 <= x <= 1000000000
addressId
integer<int64>
required
Required range: 1 <= x <= 1000000000

Response

OK

subscriptionId
integer<int64>
Required range: 1 <= x <= 1000000000
customerId
integer<int64>
Required range: 1 <= x <= 1000000000
merchantSubscriptionRefId
string | null
Maximum string length: 100
networkTransactionId
string | null
Maximum string length: 100
billingIntervalType
string | null
Maximum string length: 50
billingIntervalCount
integer<int32>
Required range: 1 <= x <= 1000000000
subscriptionStatusType
string | null
Maximum string length: 50
subscriptionCancelType
string | null
Maximum string length: 50
initialBillDate
string | null
Maximum string length: 20
nextBillDate
string | null
Maximum string length: 20
taxAddress
object
paymentMethodIds
integer<int64>[] | null
cancelledAt
string<date-time> | null
Maximum string length: 40
billingPlans
object[] | null
message
string | null
Maximum string length: 500
paymentProcessor
string | null
Maximum string length: 100
processorMerchantId
string | null
Maximum string length: 100
processorRawResponse
string | null
Maximum string length: 10000
currency
string | null
Maximum string length: 3
responseMessage
string | null
Maximum string length: 500
responseCode
string | null
Maximum string length: 10